#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct Fish_DiceFishCFGData
{
	//ÂÖ´Î
	int mRotation;
	//±¶ÂÊ
	int mMagnification;
	//¸ÅÂÊ
	int mProbability;
};

class Fish_DiceFishCFG
{
public:
private:
	static std::auto_ptr<Fish_DiceFishCFG> msSingleton;
public:
	int GetCount();
	const Fish_DiceFishCFGData* GetData(int Rotation);
	boost::unordered_map<int, Fish_DiceFishCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static Fish_DiceFishCFG* GetSingleton();
private:
	boost::unordered_map<int, Fish_DiceFishCFGData> mMapData;
};
